/* Simple demo of AVRIL */

/* Written by Bernie Roehl, April 1994 */

#include "avril.h"
#include <stdlib.h>  /* for getenv() */

static vrl_Vector up = { 0, 0, VRL_UNITY };

void looker(void)
	{
	vrl_Object *obj = vrl_TaskGetData();
	vrl_Vector camloc, objloc, lookdir;
	if (obj == NULL) return;
	vrl_ObjectGetLocation(obj, objloc);
	vrl_CameraGetLocation(vrl_WorldGetCamera(), camloc);
	vrl_VectorSub(lookdir, camloc, objloc);
	vrl_VectorNormalize(lookdir);
	vrl_ObjectLookAt(obj, lookdir, up);
	}

void main(int argc, char *argv[])
	{
	vrl_ConfigStartup(getenv("AVRIL"));
	vrl_SystemCommandLine(argc, argv);
	vrl_TaskCreate(looker, vrl_WorldFindObject("thing"), 0);
	vrl_SystemRun();
	}
